/* MySQL */
#include "initid_bug_udf.h"

long long initid_bug(UDF_INIT *initid, UDF_ARGS *args, char *is_null, char *error)
{
	int result= atoi(initid->ptr);
	char* bug= multiply_by_ten(result);
	memcpy(initid->ptr, bug, strlen(bug));
	delete[] bug;
	return result;
}


my_bool initid_bug_init(UDF_INIT *initid, UDF_ARGS *args, char *message)
{
  if (!(initid->ptr= (char*)malloc(MAXRES)))
  {
    strcpy(message,"Couldn't allocate memory for result buffer");
    return 1;
  }
  memset(initid->ptr, '\0', MAXRES);
  
  memcpy(initid->ptr, "1", strlen("1"));

  initid->maybe_null= 1;
  initid->const_item= 0;
  
  return 0;
}


void initid_bug_deinit(UDF_INIT *initid)
{
	if (initid->ptr)
    free(initid->ptr);
}
